/* ----------------------------------------------------------------------------------------------------------- */
/* DISABLING UNWANTED SECTIONS FOR NOW */
/* ----------------------------------------------------------------------------------------------------------- */

.no-search-button {
    display: none;
}

/* ----------------------------------------------------------------------------------------------------------- */
/* COMMON FOR ALL */
/* ----------------------------------------------------------------------------------------------------------- */

* {
    font-family: var(--font-family-sans-serif);
}

html, body {
    overflow-x: clip;
    cursor: default;
}

.main-logo {
    cursor: pointer;
}

.row {
    padding-top: 20px;
    padding-bottom: 20px;
}

.nav-option {
    position: absolute;
    background-color: transparent;
    border: none;
    cursor: pointer;
    
}

.nav-option:focus {
    outline: none;
}

.bi-list {
    display: none;
}

.headlines {
    position: relative;
    background: white;
}

.bi-search{
    color: grey;
}

.al-white {
    color: white;
}

.al-bold {
    font-weight: bold;
}

/* ----------------------------------------------------------------------------------------------------------- */
/* HEADER */
/* ----------------------------------------------------------------------------------------------------------- */

header {
    box-shadow: 0px 0px 7px;
}

header .container {
    padding-top: 25px;
}

.input-container {
    width: 250px;
    border: 2px solid grey;
    border-radius: 20px;
    height: auto;
}

.input-field {
    background-color: transparent;
    border: transparent;
}

input.input-field:focus {
    outline: transparent;
}

.navbar {
    width: 100%;
    margin: 0px auto;
    left: 0;
    right: 0;
    padding: 0;
}

.nav-row{
    padding-top: 20px;
}

li.nav-item {
    padding-left: 33px;
}

.nav-item a.nav-link {
    padding: 10px;
    font-size: 20px;
}

.dropdown-menu.show {
    width: 270px;
    margin-left: 30px;
    margin-top: 28px;
    border-top: none;
    border-radius: 0px 0px 5px 5px;
}

a.dropdown-item.dropdown-title {
    font-size: 20px;
    color: #24bde6;
    cursor: default;
}

a.dropdown-item.dropdown-view-all {
    font-weight: bold;
    text-transform: uppercase;
}

.container.content-container {
    padding-top: 20px;
}

/* ----------------------------------------------------------------------------------------------------------- */
/* MAIN CONTENT SECTION */
/* ----------------------------------------------------------------------------------------------------------- */
.row.ad{
    padding-top: 0px;
    width: 100%;
}

.row.ad img {
    width: 100%;
}

.article-title {
    text-transform: uppercase;
    font-family: palatino,serif;
    font-weight: 600;
}

.article-title::after {
    content: " CONDITION CENTER";
}

.small-primary-box1,
.small-primary-box2 {
    /* position: absolute; */
    width: 150px;
    height: 100px;
    z-index: -1;
    border-radius: 20px;
}

img.article-image {
    width: 90%;
    border-radius: 20px;
    height: 450px;
    object-fit: cover;
    margin-top: -8%;
    margin-left: 4%;
}

.small-primary-box1 {
    background-color: #ffa500;
}

.small-primary-box2 {
    background-color: #21b7f5;
    margin-top: -8%;
    margin-left: auto;
}

.section-title-first,
.section-title {
    font-family: avenir,sans-serif !important;
    color: #000;
    font-size: 24px;
    margin-top: 10px;
    font-weight: bold;
    padding-bottom: 10px;
    display: block;
    cursor: pointer;
}

.section-title:before {
    content: "+";
    margin-right: 10px;
    float: left;
}

.section-title-first::before {
    content: "-";
    margin-right: 10px;
    float: left;
}

.section-title:hover {
    color: #808080;
}

.condition-sections {
    display: block !important;
}

.condition-section .section-content {
    padding-left: 22px;
    width: 95%;
}

.condition-section .section-content .back-to-top {
    width: 100%;
    padding: 10px 0;
    border-bottom: 1px #ccc solid;
    padding-bottom: 40px;
}

.condition-section .section-content .back-to-top a {
    float: right;
    padding: 5px;
    font-size: 14px;
    color: #24bde6;
}

.condition-section .section-content .back-to-top a:hover {
    color: #000;
    text-decoration: none;
}

.section-content p a {
    color: #24bde6;
}

.section-content p a:hover {
    color: #000;
    text-decoration: none;
}

/* ----------------------------------------------------------------------------------------------------------- */
/* SIDEBAR SECTION */
/* ----------------------------------------------------------------------------------------------------------- */

.first-sidebar {
    padding-top: 0px;
}

.widget h4.sidebar-title {
    display: inline-block;
    white-space: nowrap;
    font-size: 18px;
    text-transform: uppercase;
    letter-spacing: 0.04em;
    font-weight: 500;
    font-family: palatino,serif;
    margin-left: auto;
    margin-right: auto;
    color: #333;
    padding-bottom: 4px;
    position: relative;
}

.widget h4.sidebar-title:before,
.widget h4.sidebar-title::after {
    content: '';
    position: absolute;
    top: 50%;
    /* transform: translateY(-50%); */
    border-bottom: 1px solid;
    width: 40px;
    margin: -3px 15px;
}

.widget h4.sidebar-title:before {
    right: 100%;
}

.widget h4.sidebar-title::after {
    left: 100%;
}

.widget a {
    text-decoration: none;
    color: black;
}

.widget a:hover {
    text-decoration: none;
    color: #b2b2b2;
}

.widget-img {
    width: 300px;
    height: auto;
}

.widget p {
    padding-top: 10px;
    width: 80%;
}

.widget p a {
    font-family: palatino,serif;
}

.widget-img{
    border: 1px solid #ccc;
    border-radius: 20px;
    padding: 5px;
}

.widget-btn {
    border: none;
    border-radius: 20px;
    background: #b2b2b2;
    cursor: pointer;
    text-transform: uppercase;
}

.widget-btn:hover {
    background: orange;
    transform: scale(1.1);
    transition: transform 330ms ease-in-out;
}

.widget-btn a {
    font-size: 12px;
    color: #fff;
    padding: 0px 25px;
}

.widget-btn a:hover {
    color: #fff;
}

/* ----------------------------------------------------------------------------------------------------------- */
/* YOU MAY ALSO LIKE SECTION */
/* ----------------------------------------------------------------------------------------------------------- */

.you-may-also-like {
    background-color: #24bde6;
}

.you-may-also-like-title,
.recipes-we-love-title {
    font-family: palatino,serif;
    text-transform: uppercase;
    font-size: 20px;
}

.you-may-also-like-article-img {
    border-radius: 20px;
    box-shadow: 0px 0px 5px #000;
}

.you-may-also-like-article-img:hover {
    transform: scale(1.1);
    transition: transform 330ms ease-out;
}

.you-may-also-like-article-title {
    font-family: palatino,serif;
    font-size: 15px;
    padding-top: 10px;
    color: #000;
}

.you-may-also-like a:hover {
    text-decoration: none;
}

.you-may-also-like-article-title:hover {
    color: #fff;
}

/* ----------------------------------------------------------------------------------------------------------- */
/* RECIPES WE LOVE SECTION */
/* ----------------------------------------------------------------------------------------------------------- */

.recipe-heart {
    color: #f268bf;
}

.recipe-image-section {
    text-align: right;
}

.recipe-text-section {
    text-align: left;
}

.recipe-image-section img {
    border-radius: 20px;
    box-shadow: 0px 0px 5px #000;
}

.recipe-image-section img:hover {
    transform: scale(1.1);
    transition: transform 330ms ease-out;
}

.recipe-text-section a,
.recipe-text-section a:hover {
    text-decoration: none;
    color: #000;
}

.recipe-text-section a h6 {
    font-family: palatino,serif;
    font-size: 20px;
}

.recipe-text-section a h6:hover {
    color: #21b54c;
}

.recipe-text-section a p{
    font-size: 16px;
    font-family: palatino,serif;
    width: 50%;
}


/* ----------------------------------------------------------------------------------------------------------- */
/* FOOTER */
/* ----------------------------------------------------------------------------------------------------------- */

footer {
    background-color: #3EB5C9;
}

.footer-container{
    padding-top: 30px;
}

footer .footer-nav h1, 
footer .footer-nav h2, 
footer .footer-nav h3,
footer .footer-nav h4,
footer .footer-nav h5,
footer .footer-nav h6,
footer .footer-nav p {
    color: white;
    line-height: 1;
}

footer .footer-nav h1:hover,
footer .footer-nav h2:hover,
footer .footer-nav h3:hover,
footer .footer-nav h4:hover,
footer .footer-nav h5:hover,
footer .footer-nav h6:hover,
footer .footer-nav p:hover,
footer .footer-nav a:hover {
    color:black;
    cursor: pointer;
    text-decoration: none;
}

footer .footer-sec-nav {
    color: white;
}

footer h5.footer-title {
    padding-bottom: 10px;
}

footer .sec-nav p {
    line-height: 0.5;
}

footer .footer-sec-nav:hover {
    text-decoration: none;
    color:black;
    cursor: pointer;
}


.footer-title:hover {
    color: white;
    cursor: default;
}

.footer-socials {
    display: inline-flex;
}

.no-search-button button {
    background: transparent;
    border: none;
    cursor: pointer;
}

.condition-main-seachbar {
    border: 2px solid grey;
}

.condition-main-input-box {
    border: none;
}

.condition-main-input-box:focus {
    outline: none;
}

/* ----------------------------------------------------------------------------------------------------------- */
/* MEDIA QUERY */
/* ----------------------------------------------------------------------------------------------------------- */

@media (max-width: 1200px) {
    a.nav-link {
        font-size: 16px !important;
    }
}

@media (max-width: 992px) {
    .header-logo-section {
        z-index: -1;
    }

    .bi-list{
        display: block;
        font-size: 40px;
        color: grey;
        z-index: 2;
    }

    .dropdown-menu.show {
        position: absolute !important;
        left: 30px;
        right: 0;
        margin-left: auto;
        margin-right: auto;
    }

    .main-sidebar {
        margin-left: auto;
        margin-right: auto;
    }

    .recipe-text-section a p {
        width: 100%;
    }
}

@media (max-width: 768px) {
    .row.ad img,
    .small-primary-box1,
    .small-primary-box2,
    .footer-nav {
        display: none !important;
    }

    .main-logo {
        width: 250px;
    }

    img.article-image {
        margin-top: 0px;
    }
}

@media (max-width: 576px){
    .main-logo {
        width: 220px;
    }

    .container {
        max-width: 320px;
    }

    .article-title {
        font-size: 24px;
    }

    .row.condition-section h2 {
        font-size: 16px;
    }

    .recipe-image-section,
    .recipe-text-section {
        text-align: center !important;
    }

    .recipe-text-section {
        padding-top: 10px;
    }

    .sec-nav p {
        width: 107%;
    }
}